Bug 1467568 - Accessing dashboard via Firefox triggers: http: TLS handshake error from <IP:Port> remote error: unknown certificate authority [NEEDINFO]
Accessing dashboard via Firefox triggers: http: TLS handshake error from <IP:...
Status: NEW
Product: Red Hat Storage Console
Classification: Red Hat
Component: UI (Show other bugs)
2
x86_64 Linux
medium Severity medium
: ---
: 3
Assigned To: Sankarshan Mukhopadhyay
sds-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-04 04:44 EDT by Tomas Petr
Modified: 2017-08-14 03:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tpetr: needinfo? (sankarshan)


Attachments (Terms of Use)

  None (edit)
Description Tomas Petr 2017-07-04 04:44:23 EDT
Description of problem:
Accessing RHSCon dashboard via Firefox triggers messages in systemlog at the same time:
https://danish.rhsc:10443/#/
-----------
Jun 30 13:20:23 danish skyring: 2017/06/30 13:20:23 http: TLS handshake error from 192.168.66.1:43948: remote error: unknown certificate authority
Jun 30 13:21:05 danish skyring: 2017/06/30 13:21:05 http2: server: error reading preface from client 192.168.66.1:43954: remote error: unknown certificate authority
Jun 30 13:21:05 danish skyring: 2017/06/30 13:21:05 http: TLS handshake error from 192.168.66.1:43956: remote error: unknown certificate authority
-----------

Using Chrome does not cause this issue. Other browsers not tested.

The access to dashboard is still working, we are able to log in and use it without issues with both above mentioned browsers.

Where:
"danish" - RHSConsole node
192.168.66.1 - client where the web browser is located

Version-Release number of selected component (if applicable):
rhscon-ceph-0.0.43-1.el7scon.x86_64
rhscon-core-selinux-0.0.45-1.el7scon.noarch
rhscon-ui-0.0.60-1.el7scon.noarch
rhscon-core-0.0.45-1.el7scon.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Install RHSC following the official RH guide
2. "tail -f /var/log/messages" or "journalctl --no-pager --boot -f"
3. from Firefox browser try to connect RHSC dashboard "https://<FQDN.RHSC.NODE>:10443/#/"
4. observe "TLS handshake error " appearing
5. from Google Chrome  browser try to connect RHSC dashboard "https://<FQDN.RHSC.NODE>:10443/#/"
6. observe nothing to happen in the logs

Actual results:
Accessing dashboard via Firefox triggers: http: TLS handshake error from <WebBrowserClientIP>:Port

Expected results:
using Firefox does not triggers "TLS handshake error"

Additional info:

Note You need to log in before you can comment on or make changes to this bug.